cutoff: 5.0 # cutoff for neighbour list construction
seed: 532 # random seed

#################################################################
## Potential definition section
#################################################################
potential:
  deltaSplineBins: 0.001
  elements: ['Mo', 'Si']

  embeddings:
    ALL: {
      npot: 'FinnisSinclairShiftedScaled',
      fs_parameters:  [ 1, 1, 1, 0.5, 1, 0.75, 1, 0.25, 1, 0.125, 1, 0.375, 1, 0.875, 1, 2, 1, 1.25, 1, 1.5],
     ndensity: 10,
    }
   
  bonds:
    ALL: {
      radbase: SBessel,
      radparameters: [5.25],
      rcut: 5.0,
      dcut: 0.01,
      NameOfCutoffFunction: cos,
    }
   
  functions:
    ALL: {
    nradmax_by_orders: [15, 3, 2, 1, 1 ],
    lmax_by_orders: [ 0 , 2, 2, 1, 1 ],
    }
##   number_of_functions_per_element: 500
##   

## initial_potential: start_potential.yaml
#################################################################
## Dataset specification section
#################################################################
data:
  filename: ACE_MoSi_trainingDB_01Dec2023.pckl.gzip # force to read reference pickled dataframe from given file
  test_filename: ACE_MoSi_testingDB_01Dec2023.pckl.gzip


#################################################################
## Fit specification section
#################################################################
fit:
  loss: {
  ## kappa = 0 - energies-only fit,
  kappa: 0.01,
  ## L1-regularization coefficient
  L1_coeffs: 1e-7,
  ## L1-regularization coefficient
  L2_coeffs: 1e-7
  }


  optimizer: BFGS # or L-BFGS

  ## maximum number of minimize iterations
  maxiter: 3500

  ## Automatically find the smallest interatomic distance in dataset and set inner cutoff based on this
  # repulsion: auto
  
  
#################################################################
## Backend specification section
#################################################################
backend:
  evaluator: tensorpot
  batch_size: 200
  batch_size_reduction: True
  batch_size_reduction_factor: 1.3
  display_step: 50